Index: branches/new_class_id/src/util/animation/animation.cc
===================================================================
--- branches/new_class_id/src/util/animation/animation.cc	(revision 9709)
+++ branches/new_class_id/src/util/animation/animation.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "animation_player.h"
 
-NewObjectListDefinition(Animation);
+ObjectListDefinition(Animation);
 /**
  *  creates a new Animation
Index: branches/new_class_id/src/util/animation/animation.h
===================================================================
--- branches/new_class_id/src/util/animation/animation.h	(revision 9709)
+++ branches/new_class_id/src/util/animation/animation.h	(revision 9715)
@@ -73,5 +73,5 @@
 class Animation : public BaseObject
 {
-  NewObjectListDeclaration(Animation);
+  ObjectListDeclaration(Animation);
 public:
   virtual ~Animation();
Index: branches/new_class_id/src/util/animation/animation_player.cc
===================================================================
--- branches/new_class_id/src/util/animation/animation_player.cc	(revision 9709)
+++ branches/new_class_id/src/util/animation/animation_player.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 
-NewObjectListDefinition(AnimationPlayer);
+ObjectListDefinition(AnimationPlayer);
 /**
  *  standard constructor
Index: branches/new_class_id/src/util/animation/animation_player.h
===================================================================
--- branches/new_class_id/src/util/animation/animation_player.h	(revision 9709)
+++ branches/new_class_id/src/util/animation/animation_player.h	(revision 9715)
@@ -30,5 +30,5 @@
 class AnimationPlayer : public BaseObject
 {
-  NewObjectListDeclaration(AnimationPlayer);
+  ObjectListDeclaration(AnimationPlayer);
 
 public:
Index: branches/new_class_id/src/util/game_rules.cc
===================================================================
--- branches/new_class_id/src/util/game_rules.cc	(revision 9709)
+++ branches/new_class_id/src/util/game_rules.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 
-NewObjectListDefinition(GameRules);
+ObjectListDefinition(GameRules);
 
 /**
Index: branches/new_class_id/src/util/game_rules.h
===================================================================
--- branches/new_class_id/src/util/game_rules.h	(revision 9709)
+++ branches/new_class_id/src/util/game_rules.h	(revision 9715)
@@ -23,5 +23,5 @@
 class GameRules : virtual public BaseObject
 {
-  NewObjectListDeclaration(GameRules);
+  ObjectListDeclaration(GameRules);
 
   public:
Index: branches/new_class_id/src/util/hud.cc
===================================================================
--- branches/new_class_id/src/util/hud.cc	(revision 9709)
+++ branches/new_class_id/src/util/hud.cc	(revision 9715)
@@ -34,5 +34,5 @@
 #include "playable.h"
 
-NewObjectListDefinition(Hud);
+ObjectListDefinition(Hud);
 /**
  * standard constructor
Index: branches/new_class_id/src/util/hud.h
===================================================================
--- branches/new_class_id/src/util/hud.h	(revision 9709)
+++ branches/new_class_id/src/util/hud.h	(revision 9715)
@@ -23,5 +23,5 @@
 class Hud : public Element2D, public EventListener
 {
-  NewObjectListDeclaration(Hud);
+  ObjectListDeclaration(Hud);
 
 public:
Index: branches/new_class_id/src/util/kill_target.cc
===================================================================
--- branches/new_class_id/src/util/kill_target.cc	(revision 9709)
+++ branches/new_class_id/src/util/kill_target.cc	(revision 9715)
@@ -23,5 +23,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(KillTarget, CL_KILL_TARGET);
+ObjectListDefinitionID(KillTarget, CL_KILL_TARGET);
 CREATE_FACTORY(KillTarget);
 
Index: branches/new_class_id/src/util/kill_target.h
===================================================================
--- branches/new_class_id/src/util/kill_target.h	(revision 9709)
+++ branches/new_class_id/src/util/kill_target.h	(revision 9715)
@@ -17,5 +17,5 @@
 class KillTarget : public MissionGoal
 {
-  NewObjectListDeclaration(KillTarget);
+  ObjectListDeclaration(KillTarget);
 
   public:
Index: branches/new_class_id/src/util/mission_goal.cc
===================================================================
--- branches/new_class_id/src/util/mission_goal.cc	(revision 9709)
+++ branches/new_class_id/src/util/mission_goal.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 
-NewObjectListDefinition(MissionGoal);
+ObjectListDefinition(MissionGoal);
 /**
  * standard constructor
Index: branches/new_class_id/src/util/mission_goal.h
===================================================================
--- branches/new_class_id/src/util/mission_goal.h	(revision 9709)
+++ branches/new_class_id/src/util/mission_goal.h	(revision 9715)
@@ -26,5 +26,5 @@
 //! A class representing a mission goal
 class MissionGoal : public BaseObject {
-  NewObjectListDeclaration(MissionGoal);
+  ObjectListDeclaration(MissionGoal);
 
  public:
Index: branches/new_class_id/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- branches/new_class_id/src/util/multiplayer_team_deathmatch.cc	(revision 9709)
+++ branches/new_class_id/src/util/multiplayer_team_deathmatch.cc	(revision 9715)
@@ -50,5 +50,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(MultiplayerTeamDeathmatch, CL_MULTIPLAYER_TEAM_DEATHMATCH);
+ObjectListDefinitionID(MultiplayerTeamDeathmatch, CL_MULTIPLAYER_TEAM_DEATHMATCH);
 CREATE_FACTORY(MultiplayerTeamDeathmatch);
 /**
@@ -301,11 +301,11 @@
 }
 
-NewClassID MultiplayerTeamDeathmatch::getPlayableClassId( int userId, int team )
+ClassID MultiplayerTeamDeathmatch::getPlayableClassId( int userId, int team )
 {
   if ( team == TEAM_NOTEAM || team == TEAM_SPECTATOR )
-    return NewObjectListBase::retrieveIdentity("Spectator");
+    return ObjectListBase::retrieveIdentity("Spectator");
 
   if ( team == 0 || team == 1 )
-    return NewObjectListBase::retrieveIdentity("TurbineHover");
+    return ObjectListBase::retrieveIdentity("TurbineHover");
 
   assert( false );
@@ -313,5 +313,5 @@
 
 
-std::string MultiplayerTeamDeathmatch::getPlayableModelFileName( int userId, int team, const NewClassID& classId )
+std::string MultiplayerTeamDeathmatch::getPlayableModelFileName( int userId, int team, const ClassID& classId )
 {
   if (classId == CL_TURBINE_HOVER)
@@ -325,5 +325,5 @@
 }
 
-std::string MultiplayerTeamDeathmatch::getPlayableModelTextureFileName( int userId, int team, const NewClassID& classId )
+std::string MultiplayerTeamDeathmatch::getPlayableModelTextureFileName( int userId, int team, const ClassID& classId )
 {
   if ( classId == CL_FPS_PLAYER )
@@ -338,7 +338,7 @@
 }
 
-float MultiplayerTeamDeathmatch::getPlayableScale( int userId, int team, const NewClassID& classId )
-{
-  if ( classId == NewObjectListBase::retrieveIdentity(CL_FPS_PLAYER))
+float MultiplayerTeamDeathmatch::getPlayableScale( int userId, int team, const ClassID& classId )
+{
+  if ( classId == ObjectListBase::retrieveIdentity(CL_FPS_PLAYER))
   {
     return 10.0f;
@@ -358,5 +358,5 @@
     teamScore[i] = 0;
 
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
@@ -382,5 +382,5 @@
     playersInTeam[i] = 0;
 
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
@@ -442,5 +442,5 @@
 void MultiplayerTeamDeathmatch::handleTeamChanges( )
 {
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
@@ -458,5 +458,5 @@
 
   //now serve player who want join a random team
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
@@ -491,5 +491,5 @@
 
 
-  NewClassID       playableClassId  = getPlayableClassId( userId, stats.getPreferedTeamId() );
+  ClassID       playableClassId  = getPlayableClassId( userId, stats.getPreferedTeamId() );
   std::string   playableModel    = getPlayableModelFileName( userId, stats.getPreferedTeamId(), playableClassId );
   std::string   playableTexture  = getPlayableModelTextureFileName( userId, stats.getPreferedTeamId(), playableClassId );
@@ -813,5 +813,5 @@
   std::vector<SpawningPoint*> spList;
 
-  for (NewObjectList<SpawningPoint>::const_iterator it = SpawningPoint::objectList().begin();
+  for (ObjectList<SpawningPoint>::const_iterator it = SpawningPoint::objectList().begin();
        it != SpawningPoint::objectList().end();
        ++it)
@@ -825,5 +825,5 @@
   if ( spList.size() == 0 )
   {
-    for (NewObjectList<SpawningPoint>::const_iterator it = SpawningPoint::objectList().begin();
+    for (ObjectList<SpawningPoint>::const_iterator it = SpawningPoint::objectList().begin();
 	 it != SpawningPoint::objectList().end();
 	 ++it)
Index: branches/new_class_id/src/util/multiplayer_team_deathmatch.h
===================================================================
--- branches/new_class_id/src/util/multiplayer_team_deathmatch.h	(revision 9709)
+++ branches/new_class_id/src/util/multiplayer_team_deathmatch.h	(revision 9715)
@@ -30,5 +30,5 @@
 class MultiplayerTeamDeathmatch : public NetworkGameRules, public EventListener
 {
-  NewObjectListDeclaration(MultiplayerTeamDeathmatch);
+  ObjectListDeclaration(MultiplayerTeamDeathmatch);
 
   public:
@@ -39,8 +39,8 @@
 
     virtual int getTeamForNewUser();
-    virtual NewClassID getPlayableClassId( int userId, int team );
-    virtual std::string getPlayableModelTextureFileName( int userId, int team, const NewClassID& classId );
-    virtual std::string getPlayableModelFileName( int userId, int team, const NewClassID& classId );
-    virtual float getPlayableScale( int userId, int team, const NewClassID& classId );
+    virtual ClassID getPlayableClassId( int userId, int team );
+    virtual std::string getPlayableModelTextureFileName( int userId, int team, const ClassID& classId );
+    virtual std::string getPlayableModelFileName( int userId, int team, const ClassID& classId );
+    virtual float getPlayableScale( int userId, int team, const ClassID& classId );
 
     virtual void registerSpawn( WorldEntity * we );
Index: branches/new_class_id/src/util/network_game_rules.cc
===================================================================
--- branches/new_class_id/src/util/network_game_rules.cc	(revision 9709)
+++ branches/new_class_id/src/util/network_game_rules.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 
-NewObjectListDefinition(NetworkGameRules);
+ObjectListDefinition(NetworkGameRules);
 
 /**
@@ -41,21 +41,21 @@
 
 
-std::string NetworkGameRules::getPlayableModelTextureFileName( int userId, int team, const NewClassID& classId )
+std::string NetworkGameRules::getPlayableModelTextureFileName( int userId, int team, const ClassID& classId )
 {
   return "";
 }
 
-std::string NetworkGameRules::getPlayableModelFileName( int uesrId, int team, const NewClassID& classId )
+std::string NetworkGameRules::getPlayableModelFileName( int uesrId, int team, const ClassID& classId )
 {
   return "models/ships/reap_#.obj";
 }
 
-NewClassID NetworkGameRules::getPlayableClassId( int userId, int team )
+ClassID NetworkGameRules::getPlayableClassId( int userId, int team )
 {
-  const NewObjectListBase* objList = NewObjectListBase::getObjectList("SpaceShip");
+  const ObjectListBase* objList = ObjectListBase::getObjectList("SpaceShip");
   if (objList != NULL)
     return objList->identity();
   else
-    return NewClassID();
+    return ClassID();
 }
 
@@ -72,5 +72,5 @@
 
 
-float NetworkGameRules::getPlayableScale( int userId, int team, const NewClassID& classId )
+float NetworkGameRules::getPlayableScale( int userId, int team, const ClassID& classId )
 {
   return 1.0f;
Index: branches/new_class_id/src/util/network_game_rules.h
===================================================================
--- branches/new_class_id/src/util/network_game_rules.h	(revision 9709)
+++ branches/new_class_id/src/util/network_game_rules.h	(revision 9715)
@@ -15,5 +15,5 @@
 class NetworkGameRules : public GameRules
 {
-  NewObjectListDeclaration(NetworkGameRules);
+  ObjectListDeclaration(NetworkGameRules);
 
   public:
@@ -22,8 +22,8 @@
 
     virtual int getTeamForNewUser();
-    virtual NewClassID getPlayableClassId( int userId, int team );
-    virtual std::string getPlayableModelFileName( int userId, int team, const NewClassID& classId );
-    virtual std::string getPlayableModelTextureFileName( int userId, int team, const NewClassID& classId );
-    virtual float getPlayableScale( int userId, int team, const NewClassID& classId );
+    virtual ClassID getPlayableClassId( int userId, int team );
+    virtual std::string getPlayableModelFileName( int userId, int team, const ClassID& classId );
+    virtual std::string getPlayableModelTextureFileName( int userId, int team, const ClassID& classId );
+    virtual float getPlayableScale( int userId, int team, const ClassID& classId );
 
     virtual PlayerStats * getNewPlayerStats( int userId ){ return new PlayerStats( userId ); }
Index: branches/new_class_id/src/util/object_manager.cc
===================================================================
--- branches/new_class_id/src/util/object_manager.cc	(revision 9709)
+++ branches/new_class_id/src/util/object_manager.cc	(revision 9715)
@@ -29,5 +29,5 @@
     ->defaultValues("", 0);
 
-NewObjectListDefinition(ObjectManager);
+ObjectListDefinition(ObjectManager);
 /**
  * @brief standard constructor
@@ -112,5 +112,5 @@
  */
   /*
-void ObjectManager::distanceFromObject(EntityList& entities, const PNode& center, float radius, const NewClassID& classID)
+void ObjectManager::distanceFromObject(EntityList& entities, const PNode& center, float radius, const ClassID& classID)
 {
   TODO FIXME
Index: branches/new_class_id/src/util/object_manager.h
===================================================================
--- branches/new_class_id/src/util/object_manager.h	(revision 9709)
+++ branches/new_class_id/src/util/object_manager.h	(revision 9715)
@@ -73,5 +73,5 @@
 class ObjectManager : public BaseObject
 {
-  NewObjectListDeclaration(ObjectManager);
+  ObjectListDeclaration(ObjectManager);
 public:
   typedef std::list<WorldEntity*> EntityList;      //!< A type definition to make it easy to use EntityLists.
@@ -91,5 +91,5 @@
   const EntityList& getEntityList(OM_LIST listNumber) const { return this->entityLists[listNumber]; }
 
-  template <class T> static void distanceFromObject(EntityList& entities, const PNode& center, float radius, NewObjectList<T>& list);
+  template <class T> static void distanceFromObject(EntityList& entities, const PNode& center, float radius, ObjectList<T>& list);
 
   void debug(OM_LIST omList, unsigned int level = 0) const;
Index: branches/new_class_id/src/util/singleplayer_shootemup.cc
===================================================================
--- branches/new_class_id/src/util/singleplayer_shootemup.cc	(revision 9709)
+++ branches/new_class_id/src/util/singleplayer_shootemup.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(SingleplayerShootemup, CL_SINGLEPLAYER_SHOOTEMUP);
+ObjectListDefinitionID(SingleplayerShootemup, CL_SINGLEPLAYER_SHOOTEMUP);
 CREATE_FACTORY(SingleplayerShootemup);
 
Index: branches/new_class_id/src/util/singleplayer_shootemup.h
===================================================================
--- branches/new_class_id/src/util/singleplayer_shootemup.h	(revision 9709)
+++ branches/new_class_id/src/util/singleplayer_shootemup.h	(revision 9715)
@@ -18,5 +18,5 @@
 class SingleplayerShootemup : public GameRules
 {
-  NewObjectListDeclaration(SingleplayerShootemup);
+  ObjectListDeclaration(SingleplayerShootemup);
   public:
     SingleplayerShootemup(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/util/track/pilot_node.cc
===================================================================
--- branches/new_class_id/src/util/track/pilot_node.cc	(revision 9709)
+++ branches/new_class_id/src/util/track/pilot_node.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 
-NewObjectListDefinition(PilotNode);
+ObjectListDefinition(PilotNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/util/track/pilot_node.h
===================================================================
--- branches/new_class_id/src/util/track/pilot_node.h	(revision 9709)
+++ branches/new_class_id/src/util/track/pilot_node.h	(revision 9715)
@@ -15,5 +15,5 @@
 //! The PilotNode is a node that enables the is driven by the Mouse
 class PilotNode : public WorldEntity, public EventListener {
-  NewObjectListDeclaration(PilotNode);
+  ObjectListDeclaration(PilotNode);
 
  public:
